<?php
/* konstrukcja match z argumentem */
$code = 432;

$e = match ($code) {
    400 => 'kwas',
    401, 402, 403 => 'alginian',
    432, 433 => 'monolaurynian',
    483 => 'winian',
    default => 'nie mam pojęcia',
};

print "Dodatek do żywności o kodzie $code to jakiś $e.".PHP_EOL;

/* konstrukcja match bez argumentu */
$text = 'Cześć';

$lang = match(true) {
    str_contains($text, 'Cześć') => 'polski',
    str_contains($text, 'Welcome') => 'angielski',
    str_contains($text, 'Hola') => 'hiszpański',
    default => '',
};

print "W łańcuchu '$text' wykryłem język $lang.".PHP_EOL;